Summary:        A Python memcached client library
Name:           python-memcached
Version:        1.59
Release:        4%{?dist}
License:        Python
URL:            https://github.com/linsomniac/python-memcached
Source0:        https://github.com/linsomniac/python-memcached/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires: python3-devel python3-setuptools python3-six memcached python3-pytest


%description
This software is a 100% Python interface to the memcached memory cache\
daemon.  It is the client side software which allows storing values in one\
or more, possibly remote, memcached servers.  Search google for memcached\
for more information.


%package -n python3-memcached
Summary: %summary

%description -n python3-memcached
This software is a 100% Python interface to the memcached memory cache\
daemon.  It is the client side software which allows storing values in one\
or more, possibly remote, memcached servers.  Search google for memcached\
for more information.


%prep
%autosetup -n %{name}-%{version}

sed -i 's/1\.58/1\.59/' memcache.py
sed -i -e 's/^import mock/from unittest import mock/' \
    tests/test_memcache.py


%build
%py3_build


%install
%py3_install


%check
pidfile=$(mktemp)
memcached -d -P $pidfile -u root

%pytest

kill $(cat $pidfile)


%files -n python3-memcached
%doc ChangeLog README.md
%attr(755,root,root) %{python3_sitelib}/memcache.py
%{python3_sitelib}/memcache.py
%{python3_sitelib}/__pycache__/memcache.*
%{python3_sitelib}/python_memcached-%{version}-py*.egg-info/


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.59-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.59-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.59-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 1.59-1
- initial build
